For the complete documentation index, see llms.txt. This page is also available as Markdown.

DescribeCloudRouterEdgePointTraffic

1. API Description

This API (DescribeCloudRouterEdgePointTraffic) is used to query Edge Point Traffic

Notes

  • Supports bandwidth for Port, Tencent, Google, AWS, Virtual Edge, and VPC edge points.

  • The span between the start time and end time cannot exceed one day.

  • Only traffic data within the last 30 days can be queried.

2. Input Parameters

The following request parameter list only provides API request parameters.

Parameter Name
Required
Type
Description

edgePointId

Yes

String

Cloud Router edge point ID.

startTime

Yes

String

Query start time, in ISO 8601 format, UTC timezone.

endTime

No

String

Query end time, in ISO 8601 format, UTC timezone. Defaults to the current time.

3. Output Parameters

Parameter Name
Type
Description

requestId

String

The unique request ID, which is returned for each request.

RequestId is required for locating a problem.

dataList

Array of TrafficData

List of traffic data points.

in95

Integer

Inbound 95th percentile peak traffic.

inAvg

Integer

Average inbound traffic.

inMax

Integer

Maximum inbound traffic.

inMin

Integer

Minimum inbound traffic.

out95

Integer

Outbound 95th percentile peak traffic.

outAvg

Integer

Average outbound traffic.

outMax

Integer

Maximum outbound traffic.

outMin

Integer

Minimum outbound traffic.

unit

String

Traffic unit, e.g. bps.

4. Code Example

  1. Query the traffic data for an edge point in a Cloud Router over one day.

5. Developer Resources

Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.

6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.

HTTP Status Code
Error Code
Description

404

INVALID_CLOUD_ROUTER_POINT_NOT_FOUND

The Cloud Router edge point does not exist.

Last updated